<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Examples</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('examples.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Examples</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all examples:</div><ul>
<li><a class="el" href="example2DWalking_8cpp-example.html">example2DWalking.cpp</a></li>

<li><a class="el" href="example2DWalking_8m-example.html">example2DWalking.m</a></li>

<li><a class="el" href="example2DWalkingMetabolics_8cpp-example.html">example2DWalkingMetabolics.cpp</a></li>

<li><a class="el" href="exampleCustomImplicitAuxiliaryDynamics_8cpp-example.html">exampleCustomImplicitAuxiliaryDynamics.cpp</a></li>

<li><a class="el" href="exampleEMGTracking_8m-example.html">exampleEMGTracking.m</a></li>

<li><a class="el" href="exampleEMGTracking_8py-example.html">exampleEMGTracking.py</a></li>

<li><a class="el" href="exampleEMGTracking_answers_8m-example.html">exampleEMGTracking_answers.m</a></li>

<li><a class="el" href="exampleEMGTracking_answers_8py-example.html">exampleEMGTracking_answers.py</a></li>

<li><a class="el" href="exampleHangingMuscle_8cpp-example.html">exampleHangingMuscle.cpp</a></li>

<li><a class="el" href="exampleHangingMuscle_8py-example.html">exampleHangingMuscle.py</a></li>

<li><a class="el" href="exampleIMUTracking_8m-example.html">exampleIMUTracking.m</a></li>

<li><a class="el" href="exampleIMUTracking_8py-example.html">exampleIMUTracking.py</a></li>

<li><a class="el" href="exampleIMUTracking_answers_8m-example.html">exampleIMUTracking_answers.m</a></li>

<li><a class="el" href="exampleIMUTracking_answers_8py-example.html">exampleIMUTracking_answers.py</a></li>

<li><a class="el" href="exampleKinematicConstraints_8py-example.html">exampleKinematicConstraints.py</a></li>

<li><a class="el" href="exampleMarkerTracking_8cpp-example.html">exampleMarkerTracking.cpp</a></li>

<li><a class="el" href="exampleMarkerTracking10DOF_8m-example.html">exampleMarkerTracking10DOF.m</a></li>

<li><a class="el" href="exampleMinimizeJointReaction_8m-example.html">exampleMinimizeJointReaction.m</a></li>

<li><a class="el" href="exampleMocoCustomEffortGoal_8cpp-example.html">exampleMocoCustomEffortGoal.cpp</a></li>

<li><a class="el" href="exampleMocoInverse_8cpp-example.html">exampleMocoInverse.cpp</a></li>

<li><a class="el" href="exampleMocoInverse_8m-example.html">exampleMocoInverse.m</a></li>

<li><a class="el" href="exampleMocoInverse_8py-example.html">exampleMocoInverse.py</a></li>

<li><a class="el" href="exampleMocoTrack_8cpp-example.html">exampleMocoTrack.cpp</a></li>

<li><a class="el" href="exampleMocoTrack_8m-example.html">exampleMocoTrack.m</a></li>

<li><a class="el" href="exampleMocoTrack_8py-example.html">exampleMocoTrack.py</a></li>

<li><a class="el" href="exampleOptimizeMass_8m-example.html">exampleOptimizeMass.m</a></li>

<li><a class="el" href="exampleOptimizeMass_8py-example.html">exampleOptimizeMass.py</a></li>

<li><a class="el" href="examplePredictAndTrack_8py-example.html">examplePredictAndTrack.py</a></li>

<li><a class="el" href="examplePrototypeCustomGoal_8m-example.html">examplePrototypeCustomGoal.m</a></li>

<li><a class="el" href="exampleSlidingMass_8cpp-example.html">exampleSlidingMass.cpp</a></li>

<li><a class="el" href="exampleSlidingMass_8m-example.html">exampleSlidingMass.m</a></li>

<li><a class="el" href="exampleSlidingMass_8py-example.html">exampleSlidingMass.py</a></li>

<li><a class="el" href="exampleSlidingMassAdvanced_8cpp-example.html">exampleSlidingMassAdvanced.cpp</a></li>

<li><a class="el" href="exampleSquatToStand_8m-example.html">exampleSquatToStand.m</a></li>

<li><a class="el" href="exampleSquatToStand_8py-example.html">exampleSquatToStand.py</a></li>

<li><a class="el" href="exampleSquatToStand_answers_8m-example.html">exampleSquatToStand_answers.m</a></li>

<li><a class="el" href="exampleSquatToStand_answers_8py-example.html">exampleSquatToStand_answers.py</a></li>

<li><a class="el" href="exampleTracking_8cpp-example.html">exampleTracking.cpp</a></li>

</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:33 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
